<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="//rawgithub.com/stidges/jquery-searchable/master/dist/jquery.searchable-1.0.0.min.js"></script>
    <script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <script src="//netdna.bootstrapcdn.com/bootstrap/3.1.0/js/bootstrap.min.js"></script>
      <script src="https://kit.fontawesome.com/cbcfed9f1b.js" crossorigin="anonymous"></script>
      <title>Show weather Records!</title>
  </head>
  <body>
      <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="page-header">
                    <h1>Show weather Records!</h1>
                </div>

            </div>
        </div>

        <br><br>
          <div class="row">
             <div class="col-lg-4 col-lg-offset-4">
              <button type="button" class="btn btn-outline-warning"
                          onclick="location.href='{% url 'door:index'%}';">
                    <i class="fas fa-chevron-circle-left">Search Weather</i>

                          </button>
             </div>
      </div>
        <div class="row">
            <div class="col-lg-12">
                <table class="table table-hover table-striped" id="mytable">
                    <thead>
                        <tr>
                          <th>時間

                                <!-- <button type="button" id="dialogSortUp" onclick="dialogSort()" class="btn btn-link btn-sm" style="display:block">
                                    <i class="fas fa-arrow-up"> 舊到新</i>
                                </button>
                                <button type="button" id="dialogSortDown"  onclick="dialogSort()" style="display:none" class="btn btn-link btn-sm">
                                    <i class="fas fa-arrow-down"> 新到舊</i>
                                </button>-->

                          </th>
                          <th>溫度(°C)</th>
                          <th>國家</th>
                          <th>位置</th>
                          <th>天氣</th>
                        </tr>
                    </thead>
                    <tbody>
                      {% for record in records %}
                        <tr>
                          <td>{{record.searchTime}}</td>
                          <td>{{record.degree}}</td>
                           <td>{{record.country}}</td>
                          <td>{{record.cityName}}</td>
                          <td>{{record.weather}}</td>
                        </tr>
                      {% endfor %}
                    </tbody>
                </table>
                <hr>
            </div>
        </div>
          <div class="row">
              <div class="col-lg-4 col-lg-offset-4">
                {% if records.has_other_pages %}
                      <ul class="pagination">
                        {% if records.has_previous %}
                          <li class="page-item"> <a class="page-link" href="?page={{ users.previous_page_number }}&amp;page={{ records.previous_page_number }}" aria-label="Previous">
                            <span aria-hidden="true">&laquo;</span>
                            <span class="sr-only">Previous</span>
                        </a>
                          {% else %}
                          <li class="page-item">
                            <a class="page-link" aria-label="Previous">
                                <span aria-hidden="true">&laquo;</span>
                                <span class="sr-only">Previous</span>
                            </a>
                         </li>
                        {% endif %}
                        {% for i in records.paginator.page_range %}
                          {% if records.number == i %}
                            <li class="active page-item">
                               <a class="page-link" >{{ i }} <span class="sr-only">(current)</span></a>
                            </li>
                          {% else %}
                            <li><a  href="?page={{ i }}" class="page-link" >{{ i }}</a></li>
                          {% endif %}
                        {% endfor %}
                        {% if records.has_next %}
                          <li class="page-item">
                            <a class="page-link" href="?page={{ records.next_page_number }}"  aria-label="Next">
                                <span aria-hidden="true">&raquo;</span>
                                <span class="sr-only">Next</span>
                            </a>
                          </li>
                        {% else %}
                          <li class="page-item"><a class="page-link" aria-label="Next">
                            <span aria-hidden="true">&raquo;</span>
                            <span class="sr-only">Next</span>
                        </a>
                          </li>
                        {% endif %}
                      </ul>
                {% endif %}


              </div>
          </div>

    </div>

    <script>
        up = document.getElementById("dialogSortUp")
        down = document.getElementById("dialogSortDown")
        var tmp = 1
        function reverseTableRows(tableId) {
            var table = document.getElementById (tableId);
            rows = table.rows
            for (var i = 1; i < rows.length; i++) {
                rows[i].parentNode.insertBefore(rows[rows.length-1], rows[i]);
            }
        }
        function dialogSort(){
           if(tmp == 0){
                up.style.display = "block"
                down.style.display = "none"
                tmp = 1
                var thead = $('mytable thead');
                thead.html($('tr',thead).get().reverse());
                reverseTableRows("mytable")
           }
           else if(tmp == 1){
                up.style.display = "none"
                down.style.display = "block"
                tmp = 0
                var thead = $('mytable thead');
                thead.html($('tr',thead).get().reverse());
                reverseTableRows("mytable")

           }
        }



    </script>

<script>
  window.fbAsyncInit = function() {
    FB.init({
      appId      : '{your-app-id}',
      cookie     : true,
      xfbml      : true,
      version    : '{api-version}'
    });

    FB.AppEvents.logPageView();

  };

  (function(d, s, id){
     var js, fjs = d.getElementsByTagName(s)[0];
     if (d.getElementById(id)) {return;}
     js = d.createElement(s); js.id = id;
     js.src = "https://connect.facebook.net/en_US/sdk.js";
     fjs.parentNode.insertBefore(js, fjs);
   }(document, 'script', 'facebook-jssdk'));
</script>
  </body>
</html>